import React from 'react';
import { Placement } from '../image-avatar/ImageAvatar';
import { IClassNameProps } from '../../@types';
export interface IAvatarProps extends IClassNameProps {
    /**
     * To set the background color of the avatar. If not provided, it will take default.
     */
    bgColor?: string;
    /**
     * Defines image that displays on the avatar instead of plain text
     */
    image?: string;
    /**
     * This will decide whether avatar appear rectangular or circular
     */
    isCircled?: boolean;
    /**
     * Text that appers on the avatar
     */
    name: string;
    /**
     * When using image avatar, this defined the position of popover.
     */
    placement?: Placement;
    /**
     * This defines various size of avatar.
     */
    size?: '2xl' | 'xl' | 'lg' | 'md' | 'sm';
    /**
     * Defiens the styles for avatar or image avatar
     */
    style?: React.CSSProperties;
    /**
     * Defines text color of the avatar, if not provided, it will take default.
     */
    textColor?: string;
}
export default function Avatar({ className, bgColor, image, isCircled, name, placement, size, style, textColor, ...others }: IAvatarProps): JSX.Element;
//# sourceMappingURL=Avatar.d.ts.map