import React from 'react';
export interface INabTabsProps {
    /**
     * Defines Nav Tab List, which expects mulitple tabs as ReactNodes, usually NavLinks
     */
    children?: React.ReactNode;
}
declare const NavTabs: import("@reach/utils").ForwardRefExoticComponentWithAs<"div", INabTabsProps>;
export default NavTabs;
export interface INavTabProps {
    /**
     * Defines the content of the tab
     */
    children?: React.ReactNode;
    /**
     * Defines the component rendered as a Tab
     */
    as?: React.ElementType;
    /**
     * Defines the Tab disable feature
     */
    disabled?: boolean;
    /**
     * Defines the Tab selected feature
     */
    isSelected?: boolean;
    /**
     * Defines the Tab selected appearance
     */
    selectedClass?: string;
    /**
     * Defines the aligment of the Tab children
     */
    align?: string;
    /**
     * Defines the min width of the Tab - it should be tailwind width class
     */
    minWidth?: string;
}
export declare const NavTab: import("@reach/utils").ForwardRefExoticComponentWithAs<"button", INavTabProps>;
//# sourceMappingURL=NavTabs.d.ts.map