import React from 'react';
export interface IOptionProps {
    /**
     * Defines the option uniqueness and value
     */
    value: string | number;
    /**
     * Defines the option label
     */
    label: string;
}
export interface ISelectProps extends React.ComponentPropsWithoutRef<'select'> {
    /**
     * Defines the select options
     */
    options: IOptionProps[];
    /**
     * Defines default none option
     */
    noLabel?: string;
    /**
     * Defines the color of the Select
     */
    valid?: boolean;
}
declare const Select: React.ForwardRefExoticComponent<ISelectProps & React.RefAttributes<HTMLSelectElement>>;
export default Select;
//# sourceMappingURL=Select.d.ts.map